CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   OpenFOAM 1.7.1 installation problem on OpenSUSE 11.3 (http://www.cfd-online.com/Forums/openfoam-installation/83369-openfoam-1-7-1-installation-problem-opensuse-11-3-a.html)

flakid December 25, 2010 11:17

OpenFOAM 1.7.1 installation problem on OpenSUSE 11.3
 
When I command: source $HOME/.bashrc or source ~/.bashrc ,
bash: ./home/flakid/OpenFOAM/OpenFOAM-1.7.1/etc/bashrc: No such file or directory

However bashrc exists there indeed, then I get into the dictionary etc/
and : source bashrc
and :foam
and: ./Allwmake


the result:
./Allwmake: line 13: make: command not found

========================================
Start ThirdParty Allwmake
========================================

========================================
Compile specific mpi libraries

+ cd openmpi-1.4.1
+ make distclean
+ rm -rf /home/flakid/OpenFOAM/ThirdParty-1.7.1/platforms/linux64Gcc/openmpi-1.4.1
+ unset mpiWith
+ '[' -n '' ']'
+ ./configure --prefix=/home/flakid/OpenFOAM/ThirdParty-1.7.1/platforms/linux64Gcc/openmpi-1.4.1 --disable-mpirun-prefix-by-default --disable-orterun-prefix-by-default --enable-shared --disable-static --disable-mpi-f77 --disable-mpi-f90 --disable-mpi-cxx --disable-mpi-profile
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... no
checking how to create a ustar tar archive... gnutar

================================================== ==========================
== Configuring Open MPI
================================================== ==========================

*** Checking versions
checking Open MPI version... 1.4.1
checking Open MPI release date... Jan 14, 2010
checking Open MPI Subversion repository version... r22421
checking Open Run-Time Environment version... 1.4.1
checking Open Run-Time Environment release date... Jan 14, 2010
checking Open Run-Time Environment Subversion repository version... r22421
checking Open Portable Access Layer version... 1.4.1
checking Open Portable Access Layer release date... Jan 14, 2010
checking Open Portable Access Layer Subversion repository version... r22421

*** Initialization, setup
configure: builddir: /home/flakid/OpenFOAM/ThirdParty-1.7.1/openmpi-1.4.1
configure: srcdir: /home/flakid/OpenFOAM/ThirdParty-1.7.1/openmpi-1.4.1
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
installing to directory "/home/flakid/OpenFOAM/ThirdParty-1.7.1/platforms/linux64Gcc/openmpi-1.4.1"

*** Configuration options
checking whether to run code coverage... no
checking whether to compile with branch probabilities... no
checking whether to debug memory usage... no
checking whether to profile memory usage... no
checking if want developer-level compiler pickyness... no

checking if want Fortran 90 bindings... no
checking desired Fortran 90 bindings "size"... disabled (Fortran 90 bindings disabled)

checking whether to enable PMPI... no
checking if want C++ bindings... no
checking if want MPI::SEEK_SET support... yes
checking if want to enable weak symbol support... yes
checking if want run-time MPI parameter checking... runtime
checking if want to install OMPI header files... no
checking if want pretty-print stacktrace... yes
checking if peruse support is required... no
checking max supported array dimension in F90 MPI bindings... 4
checking if pty support should be enabled... yes
checking if user wants dlopen support... yes
checking if heterogeneous support should be enabled... no
checking if want trace file debugging... no
checking if want full RTE support... yes
checking if want fault tolerance... Disabled fault tolerance
checking if want IPv6 support... yes (if underlying system supports it)
checking if want orterun "--prefix" behavior to be enabled by default... no
checking for package/brand string... Open MPI flakid@linux-38c6 Distribution
checking for ident string... 1.4.1
checking whether to add padding to the openib control header... no
checking whether to use an alternative checksum algo for messages... no

================================================== ==========================
== Compiler and preprocessor tests
================================================== ==========================

*** C compiler and preprocessor
checking for style of include used by make... none
checking for gcc... gcc
checking for C compiler default output file name...
configure: error: in `/home/flakid/OpenFOAM/ThirdParty-1.7.1/openmpi-1.4.1':
configure: error: C compiler cannot create executables
See `config.log' for more details.
+ make
./Allwmake: line 102: make: command not found
+ make install
./Allwmake: line 103: make: command not found
+ make distclean
./Allwmake: line 104: make: command not found
========================================
Build Scotch decomposition library

+ cd scotch_5.1/src
+ mkdir -p /home/flakid/OpenFOAM/OpenFOAM-1.7.1/lib/linux64GccDPOpt
+ make scotch
./Allwmake: line 187: make: command not found
========================================
Build Metis decomposition

+ cd metis-5.0pre2
+ cpMakeFiles metis
+ set +x
cpMakeFiles metis .
+ wmake libso GKlib
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso libmetis
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
========================================
Build ParMetis decomposition. Requires MPI.

========================================
Build ParMGridGen

+ cd ParMGridGen-1.0
+ cpMakeFiles ParMGridGen
+ set +x
cpMakeFiles ParMGridGen .
+ wmake libso MGridGen/IMlib
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso MGridGen/Lib
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
========================================
Done ThirdParty Allwmake
========================================

+ wmakePrintBuild -check
no git description found
+ /bin/rm -f 'OpenFOAM/Make/linux64GccDPOpt/global.?'
+ wmakeLnInclude OpenFOAM
+ wmakeLnInclude OSspecific/POSIX
+ Pstream/Allwmake
+ wmake libso dummy
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ case "$WM_MPLIB" in
+ set +x

Note: ignore spurious warnings about missing mpicxx.h headers
+ WM_OPTIONS=linux64GccDPOptOPENMPI
+ wmake libso mpi
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOptOPENMPI/objectFiles' could not be created
+ wmake libo OSspecific/POSIX
not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso triSurface
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso edgeMesh
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso surfMesh
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found

wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ decompositionMethods/AllwmakeLnInclude
+ wmakeLnInclude decompositionMethods
+ wmakeLnInclude metisDecomp
+ wmakeLnInclude parMetisDecomp
+ wmakeLnInclude scotchDecomp
+ dummyThirdParty/Allwmake
+ wmake libso scotchDecomp
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso metisDecomp
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found

wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso parMetisDecomp
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found


wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso finiteVolume
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso genericPatchFields
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found

+ wmake libso dynamicMesh
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso dynamicFvMesh
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found

+ wmake libso ODE
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso randomProcesses
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found


+ wmake libso liquidMixture

+ wmake libso solids
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso solidMixture
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso basic
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso reactionThermo
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso laminarFlameSpeed
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso chemistryModel

+ wmake libso radiation
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso barotropicCompressibilityModel
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ transportModels/Allwmake
+ wmake libso incompressible
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso interfaceProperties
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ turbulenceModels/Allwmake
+ LES/Allwmake
+ wmakeLnInclude ../incompressible/LES
+ wmake libso LESfilters
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found

+ incompressible/Allwmake
+ wmake libso turbulenceModel
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso RAS
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso LES
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ compressible/Allwmake
+ wmake libso turbulenceModel
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso RAS

+ lagrangian/Allwmake
+ wmake libso basic
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso solidParticle
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso intermediate
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso dieselSpray

+ wmake libso coalCombustion
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ molecularDynamics/Allwmake
+ wmake libso potential
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found

+ postProcessing/Allwmake
+ wmake libo postCalc
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso foamCalcFunctions
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ functionObjects/Allwmake
+ wmake libso field
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
+ wmake libso forces
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 198: make: command not found
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 199: make: command not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created
/home/flakid/OpenFOAM/OpenFOAM-1.7.1/wmake/wmake: line 168: make: command not found



What do I need to do?

wyldckat December 25, 2010 20:29

Greetings Flakid and welcome to the forum!

Quote:

Originally Posted by flakid (Post 288445)
make: command not found

What do I need to do?

You need to install make?! ;)

Since you are installing OpenFOAM in openSUSE 11.3, follow these instructions: Installing OpenFOAM 1.7 on openSUSE 11.3
You can't go wrong if you follow them carefully!

Best regards and good luck!
Bruno

flakid December 26, 2010 04:33

Quote:

Originally Posted by wyldckat (Post 288461)
Greetings Flakid and welcome to the forum!


You need to install make?! ;)

Since you are installing OpenFOAM in openSUSE 11.3, follow these instructions: Installing OpenFOAM 1.7 on openSUSE 11.3
You can't go wrong if you follow them carefully!

Best regards and good luck!
Bruno

Thanks,I have read the instruction,
do you know how to set proxy in suse11.3,
I have no idea where to set the port when setting proxy.
Testing the proxy, an error occured :

"
p, li { white-space: pre-wrap; } * Port number too large: 304133

curl: (3) Port number too large: 304133
* About to connect() to proxy 10.10.2.54 port 1080 (#0)
* Trying 10.10.2.54... % Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed

0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0Connection refused
* couldn't connect to host
* Closing connection #0

curl: (7) couldn't connect to host
"



So I couldn't use YaST to install cmake, flex, and so on..

wyldckat December 26, 2010 08:34

:eek: Proxy in openSUSE? I've never needed to set-up proxy in Linux (nor Windows), so I don't have experience with it.
Google came up with this on the first link: How to enable proxy on opensuse 11.3

Good luck!

alberto December 26, 2010 10:00

There is a golden rule for SUSE users. If you are looking for a system (not application-specific) setting, in 99% of the cases, that setting can be found in YaST. :D

Also, as a suggestion, the default installation does not bring YaST in all its power, since it is customized for desktop use. YaST can do much more (configure servers, services, tools, ...). Search for YaST (use "yast" keyword) in the package installer, and have a lot fun :).

OpenSUSE has also nice manuals:
and a documentation portal (in need of contributors!):
Best,

flakid December 27, 2010 02:01

Thx very much!
I have install what is needed. After taring the packages , add the line:
.$HOME/OpenFOAM/OpenFOAM-1.7.1/etc/bashrc
to .bashrc in
./home/flakid/
and
source $HOME/.bashrc

but still
bash: ./home/flakid/OpenFOAM/OpenFOAM-1.7.1/etc/bashrc: No such file or directory

I cannot figure out.

wyldckat December 27, 2010 19:34

Greetings to all!

@Flakid:
Quote:

Originally Posted by http://albertopassalacqua.com/?p=653
Open your ~/.bashrc file in a text editor and add the line:
Code:

. $HOME/OpenFOAM/OpenFOAM-1.7.0/etc/bashrc

It's not very visible, but there is a space between the first dot and the dollar sign - here is a zoom in ;):
Code:

. $HO
That first dot stands for "source". It should do the exact same thing as this:
Code:

source $HOME/OpenFOAM/OpenFOAM-1.7.0/etc/bashrc
Sourcing a file in this context means that the file will be executed as if you were copy-pasting the contents of OpenFOAM's bashrc file onto your terminal window, therefore setting the necessary environment variables for OpenFOAM to work properly.

I used the name "OpenFOAM-1.7.0" because it's what it is in Alberto's blog post, but in your case it's "OpenFOAM-1.7.1"... but I guess that you already know :)

OK, finally, instead of running "source ~/.bashrc", you can simply open a new terminal/console window or tab and it will do that on it's own.

Best regards and good luck!
Bruno

flakid December 28, 2010 01:12

Exactly!
I 'm so stupid.
I have install flex,cmake,gcc c++,and so on..
Again some error:
/bin/sh: g++: command not found
make[2]: *** [Make/linux64GccDPOpt/chemkinToFoam.o] Error 127
make[2]: Target `/home/flakid/OpenFOAM/OpenFOAM-1.7.1/applications/bin/linux64GccDPOpt/chemkinToFoam' not remade because of errors.
make[2]: Leaving directory `/home/flakid/OpenFOAM/OpenFOAM-1.7.1/applications/utilities/thermophysical/chemkinToFoam'
make[1]: *** [chemkinToFoam] Error 2

Do you have some advise.
Thx.

alberto December 28, 2010 03:04

1 Attachment(s)
To install all what you need to develop C++ applications in openSUSE, you simply need a few clicks in YaST.

Open YaST -> Software -> Package manager (software manager)

Assuming you use KDE, in the top-left corner there is a drop-down menu. Choose "Patterns". Scroll down the list with icons, and select "C/C++ development". Accept and complete the installation (See figure, sorry for the Italian text).

This will set your openSUSE up to compile OpenFOAM.

flakid December 28, 2010 05:09

My system is openSUSE 11.3, and there is only software manament, in which, there are views, package Groups, RPM Groups, Languages, Repositories.
Under Package Groups, there is Development --Languages--C/C++, cannot choose.
And I have installed patterns-openSUSE-devel_C_C++ manuelly before.

THX. Still the problem.

alberto December 28, 2010 07:15

Quote:

Originally Posted by flakid (Post 288660)
My system is openSUSE 11.3, and there is only software manament, in which, there are views, package Groups, RPM Groups, Languages, Repositories.
Under Package Groups, there is Development --Languages--C/C++, cannot choose.
And I have installed patterns-openSUSE-devel_C_C++ manuelly before.

THX. Still the problem.

What you say does not match my openSUSE 11.3. The "Pattern" (maybe the translation is different) entry, above 'package groups" is the first entry in the drop-down menu. It should show what you see in the picture I attached.

If you have that pattern installed, g++ is installed for sure. Anyway, check if the package gcc-c++ is installed with:

rpm -qa gcc*

which lists all the packages related to gcc.

Best,

flakid December 28, 2010 08:28

Quote:

Originally Posted by alberto (Post 288669)
What you say does not match my openSUSE 11.3. The "Pattern" (maybe the translation is different) entry, above 'package groups" is the first entry in the drop-down menu. It should show what you see in the picture I attached.

If you have that pattern installed, g++ is installed for sure. Anyway, check if the package gcc-c++ is installed with:

rpm -qa gcc*

which lists all the packages related to gcc.

Best,

I command:
rpm -qa gcc*


get:

gcc-4.5-4.2.x86_64
gcc-c++-4.5-4.2.x86_64

alberto December 28, 2010 09:10

Quote:

Originally Posted by flakid (Post 288681)
I command:
rpm -qa gcc*


get:

gcc-4.5-4.2.x86_64
gcc-c++-4.5-4.2.x86_64

OK. This tells me you do not have the pattern installed :D

You should have something like:

gcc45-4.5.0_20100604-1.12.x86_64
gcc-4.5-4.2.x86_64
gcc-c++-4.5-4.2.x86_64
gcc45-c++-4.5.0_20100604-1.12.x86_64

and eventually the "info" packages.

flakid December 28, 2010 09:31

So what's the pattern name,how can I install it manully?Not in the pattern.

alberto December 28, 2010 09:33

You can install the "C/C++ development" pattern as I told you above, or you can add the packages you need manually.

A pattern is simply a collection of packages.

Good luck,

flakid December 28, 2010 09:39

I cannot install it as you told me above, please tell me a package name that I can found in Package Search in openSUSE website, so I can download and install.
Thanks.
And why I install x86_64 patterns-openSUSE-devel_C_C++-11.3-22.1.x86_64.rpm
is not OK?

alberto December 28, 2010 09:48

You have the list of packages you need in post #13. The pattern package should pull the required packages too.

P.S. I think you should really take the time to learn how to use your Linux system. It is quite important to be productive and to work on it easily. :)

Best,


All times are GMT -4. The time now is 18:32.